devel/libiberty - The NetBSD Packages Collection

This package provides the GNU liberty library of "missing" functions

This package provides the -liberty library of "missing" functions.
It is a collection of subroutines used by various GNU programs.
Current members include:

        getopt -- get options from command line
        obstack -- stacks of arbitrarily-sized objects
        strerror -- error message strings corresponding to errno
        strtol -- string-to-long conversion
        strtoul -- string-to-unsigned-long conversion

The functions in liberty are normally included, as needed, by
GNU packages to make up for functions not found in the operating
system.

This copy of liberty has been extracted from the gcc-3.4.0
release distribution.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibiberty-1.0nb2.tgz
NetBSD 8.0earmv7hflibiberty-1.0nb2.tgz
NetBSD 8.0earmv7hflibiberty-1.0nb2.tgz
NetBSD 8.0i386libiberty-1.0nb2.tgz
NetBSD 8.0i386libiberty-1.0nb2.tgz
NetBSD 8.0i386libiberty-1.0nb2.tgz
NetBSD 8.0powerpclibiberty-1.0nb2.tgz
NetBSD 8.0powerpclibiberty-1.0nb2.tgz
NetBSD 8.0powerpclibiberty-1.0nb2.tgz
NetBSD 8.0x86_64libiberty-1.0nb2.tgz
NetBSD 8.0x86_64libiberty-1.0nb2.tgz
NetBSD 9.0aarch64libiberty-1.0nb2.tgz
NetBSD 9.0aarch64libiberty-1.0nb2.tgz
NetBSD 9.0aarch64libiberty-1.0nb2.tgz
NetBSD 9.0alphalibiberty-1.0nb2.tgz
NetBSD 9.0alphalibiberty-1.0nb2.tgz
NetBSD 9.0alphalibiberty-1.0nb2.tgz
NetBSD 9.0earmlibiberty-1.0nb2.tgz
NetBSD 9.0earmlibiberty-1.0nb2.tgz
NetBSD 9.0earmlibiberty-1.0nb2.tgz
NetBSD 9.0earmv6hflibiberty-1.0nb2.tgz
NetBSD 9.0earmv6hflibiberty-1.0nb2.tgz
NetBSD 9.0earmv6hflibiberty-1.0nb2.tgz
NetBSD 9.0earmv6hflibiberty-1.0nb2.tgz
NetBSD 9.0earmv7hflibiberty-1.0nb2.tgz
NetBSD 9.0earmv7hflibiberty-1.0nb2.tgz
NetBSD 9.0earmv7hflibiberty-1.0nb2.tgz
NetBSD 9.0earmv7hflibiberty-1.0nb2.tgz
NetBSD 9.0i386libiberty-1.0nb2.tgz
NetBSD 9.0i386libiberty-1.0nb2.tgz
NetBSD 9.0mips64eblibiberty-1.0nb2.tgz
NetBSD 9.0mips64eblibiberty-1.0nb2.tgz
NetBSD 9.0mips64eblibiberty-1.0nb2.tgz
NetBSD 9.0powerpclibiberty-1.0nb2.tgz
NetBSD 9.0powerpclibiberty-1.0nb2.tgz
NetBSD 9.0sparc64libiberty-1.0nb2.tgz
NetBSD 9.0sparc64libiberty-1.0nb2.tgz
NetBSD 9.0sparc64libiberty-1.0nb2.tgz
NetBSD 9.0sparc64libiberty-1.0nb2.tgz
NetBSD 9.0sparclibiberty-1.0nb2.tgz
NetBSD 9.0sparclibiberty-1.0nb2.tgz
NetBSD 9.0sparclibiberty-1.0nb2.tgz
NetBSD 9.0x86_64libiberty-1.0nb2.tgz
NetBSD 9.0x86_64libiberty-1.0nb2.tgz
NetBSD 9.0x86_64libiberty-1.0nb2.tgz
NetBSD 9.0x86_64libiberty-1.0nb2.tgz
NetBSD 9.0x86_64libiberty-1.0nb2.tgz
NetBSD 9.0x86_64libiberty-1.0nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.